<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Condition\Rule\Calendar;

use ZOOlanders\YOOessentials\Condition\Rule\Datetime\DateRule;

class DayRule extends DateRule
{
    public function resolveProps(object $props, object $node): object
    {
        if (!isset($props->days)) {
            throw new \RuntimeException('Not Valid Evaluation Arguments');
        }

        return $props;
    }

    public function resolve($props, $node): bool
    {
        $currentDay = $this->now()->format('N');

        return in_array($currentDay, (array) $props->days);
    }
}
